Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.util
Class ChangeManager

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.util.ChangeManager

public class ChangeManager
extends java.lang.Object

Helper that `ChangeTracker`s can optionally use to implement change tracking.

Constructor Summary
`ChangeManager(boolean issueAllAdds)` Constructor.

Method Summary
`void` | `added(java.util.Collection coll)` Call this method when new values are added to the proxy.
`void` | `added(java.lang.Object val)` Call this method when a new value is added to the proxy.
`java.util.Collection` | `getAdded()` Returns the consolidated proxy additions.
`java.util.Collection` | `getRemoved()` Returns the consolidated proxy removals.
`void` | `removed(java.util.Collection coll)` Call this method when old values are removed from the proxy.
`void` | `removed(java.lang.Object val)` Call this method when an old value is removed from the proxy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeManager

    public ChangeManager(boolean issueAllAdds)

  Constructor.

Parameters:
  `issueAllAdds` - whether to always include additions in the added collection, even if the additions have a corresponding remove; generally, maps should issue all additions because a put of a previously-removed key might be a new value, while sets should not issue all additions

Method Detail

### added

    public void added(java.lang.Object val)

  Call this method when a new value is added to the proxy.

### added

    public void added(java.util.Collection coll)

  Call this method when new values are added to the proxy.

### removed

    public void removed(java.lang.Object val)

  Call this method when an old value is removed from the proxy.

### removed

    public void removed(java.util.Collection coll)

  Call this method when old values are removed from the proxy.

### getAdded

    public java.util.Collection getAdded()

  Returns the consolidated proxy additions.

### getRemoved

    public java.util.Collection getRemoved()

  Returns the consolidated proxy removals.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.